/* ============================================================================================================================================= /
 * LIBRARY:         Gestione PGA23xx
 * FILE:            PGA23xx_settings.h
 * LAST REV:        1.0
 * AUTHOR:          Ivo Colleoni
 * DEVICE:          PIC18F
 * CREATED:         11/08/2017
 * UPDATED:         
 *
 * DESCRIP:         Settaggi per libreria PGA23xx.c
/* ============================================================================================================================================ */

/* COSTANTI DI CONFIGURAZIONE ================================================================================================================= */
#define PGA23xx_SPI_MODULE_1
//#define PGA23xx_SPI_MODULE_2

/* I/O ======================================================================================================================================== */
#define PGA23xx_CS          PORTCbits.RC0    
//#define PGA23xx_MUTE        PORTCbits.RC2       // commentare se non connesso
#define PGA23xx_ZCEN        PORTCbits.RC1       // commentare se non connesso

// frequenza massima SPI 6MHz
#define PGA23xx_SPI_CLOCK   MASTER_FOSC_4  // clock SPI, definire in base al clock pic usato
                                            // MASTER_FOSC_4
                                            // MASTER_FOSC_16
                                            // MASTER_FOSC_64
                                            // MASTER_TMR2_2
