void Write_main_layout(void);
void Write_volume(void);
void Write_input(void);
void Setup(void);
void Handle_static_info(unsigned char _items_number, unsigned char _menu_number, const unsigned char * _items[]);
unsigned char Handle_menu(unsigned char _items_number, unsigned char _selection, unsigned char _menu_number, const unsigned char * _items[]);
void Write_menu_values (unsigned char _menu_number);
void Setup_contrast(void);
void Setup_trim(void);
void Setup_name(void);
void Setup_remote(void);
void Setup_balance(void);
void Draw_balance(signed char _balance);
void Apply_balance(signed char _balance);
void Open_input(unsigned char _input_selected);
void Power(unsigned char _on_off);
void Receive_ir(void);
void Decode_ir (void);
void Clear_ir_buffers (void);
unsigned char Compare_array(unsigned char * _array_1, unsigned char * _array_2);
void Copy_array(unsigned char * _array_1, unsigned char * _array_2);
void Save_eeprom_default(void);
void Load_eeprom_variables(void);
void Save_eeprom_remote(void);
void Load_eeprom_remote(void);

#ifdef UART_DEBUG
void Send_log_uart(unsigned char _x);
void Convert_2_string (unsigned char _value, unsigned char * _pointer);
void Convert_2_string_hex (unsigned char _value, unsigned char * _pointer);
#endif